import request from '@/utils/request'

// 查询会员金额记录列表
export function listMallMemberMoneyRecord(query) {
  return request({
    url: '/mall/mallMemberMoneyRecord/list',
    method: 'get',
    params: query
  })
}

// 查询会员金额记录详细
export function getMallMemberMoneyRecord(id) {
  return request({
    url: '/mall/mallMemberMoneyRecord/' + id,
    method: 'get'
  })
}

// 新增会员金额记录
export function addMallMemberMoneyRecord(data) {
  return request({
    url: '/mall/mallMemberMoneyRecord',
    method: 'post',
    data: data
  })
}

// 修改会员金额记录
export function updateMallMemberMoneyRecord(data) {
  return request({
    url: '/mall/mallMemberMoneyRecord',
    method: 'put',
    data: data
  })
}

// 删除会员金额记录
export function delMallMemberMoneyRecord(id) {
  return request({
    url: '/mall/mallMemberMoneyRecord/' + id,
    method: 'delete'
  })
}

// 导出会员金额记录
export function exportMallMemberMoneyRecord(query) {
  return request({
    url: '/mall/mallMemberMoneyRecord/export',
    method: 'get',
    params: query
  })
}